Package com.xceptance.xlt.api.report

# Enum Class MovingAverageConfiguration.MovingAverageType

java.lang.Object
java.lang.Enum<MovingAverageConfiguration.MovingAverageType>
com.xceptance.xlt.api.report.MovingAverageConfiguration.MovingAverageType

All Implemented Interfaces:
  `Serializable`, `Comparable<MovingAverageConfiguration.MovingAverageType>`, `Constable`

Enclosing class:
  `MovingAverageConfiguration`

public static enum MovingAverageConfiguration.MovingAverageType extends Enum<MovingAverageConfiguration.MovingAverageType>
Moving average type.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PERCENTAGE`
  Average over a percentage of data points.
  `TIME`
  Average over a time interval.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Get the name of the moving average type.
  `static List<String>`
  `getNames()`
  Get the names of all available moving average types.
  `static MovingAverageConfiguration.MovingAverageType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MovingAverageConfiguration.MovingAverageType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PERCENTAGE

    public static final MovingAverageConfiguration.MovingAverageType PERCENTAGE
    Average over a percentage of data points. E.g. if we have 1000 data points, a percentage average of 5% will calculate the average over the last 50 data points.

  - ### TIME

    public static final MovingAverageConfiguration.MovingAverageType TIME
    Average over a time interval. E.g. a time average of 30s will calculate the average over all data points in the last 30s.

- ## Method Details

  - ### values

    public static MovingAverageConfiguration.MovingAverageType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MovingAverageConfiguration.MovingAverageType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Get the name of the moving average type.
    Returns:
      the name of the moving average type

  - ### getNames

    public static List<String> getNames()
    Get the names of all available moving average types.
    Returns:
      a list of all moving average type names